namespace PkmnLib.Plugin.Gen7.Scripts.Moves;

[Script(ScriptCategory.Move, "trick_or_treat")]
public class TrickOrTreat : Script, IScriptOnSecondaryEffect
{
    /// <inheritdoc />
    public void OnSecondaryEffect(IExecutingMove move, IPokemon target, byte hit)
    {
        var library = move.Battle.Library.StaticLibrary.Types;
        if (!library.TryGetTypeIdentifier("ghost", out var ghostType))
            return;
        target.AddType(ghostType);
    }
}